/***************************************************************************
 *   Copyright (C) 2005 by Kevin McBride                                   *
 *   kevin@planetsaphire.com                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#define LIBTEKLTI_EXPORT (1)

#ifndef _cplusplus
#define _cplusplus (1)
#endif /* _cplusplus */

#include "teklti.h"


#ifdef	NULL
#undef	NULL
#endif	/* NULL */
#define	NULL	(0)


MKTEKUUID(UTekEnum, "8D3ED3C6-3ACE-11DA-9ADF-000BDBC434D9");
MKTEKDEBUGSTRING(DBTekEnum, "DBTekEnum");


/**
Instantizer.
*/
TekEnum::TekEnum()
{
	;
}


/**
Destructor.
*/
TekEnum::~TekEnum()
{
	;
}


#if	NULL != 0

/**
\fn TekEnum::Clone(TekEnum ** RetVal)

Clones the current enumeration.
*/
virtual TEKERR TekEnum::Clone(TekEnum ** RetVal)
{
	return TEKERR_NOTIMPL;
}

/**
\fn TekEnum::Back(void ** RetVal)

Goes backward by an element.
*/
virtual TEKERR TekEnum::Back(void ** RetVal)
{
	return TEKERR_NOTIMPL;
}

/**
\fn TekEnum::EnumNo(unsigned long ItemNo)

Retrieves a particular element in the enum.
*/
virtual TEKERR TekEnum::EnumNo(unsigned long ItemNo)
{
	return TEKERR_NOTIMPL;
}

/**
\fn TekEnum::Next(void ** RetVal)

Retrieves the next item in the enum.
*/
virtual TEKERR TekEnum::Next(void ** RetVal)
{
	return TEKERR_NOTIMPL;
}

/**
\fn TekEnum::Reset()

Resets the current item pointer.
*/
virtual TEKERR TekEnum::Reset()
{
	return TEKERR_NOTIMPL;
}

#endif	/* NULL != 0 */


