/***************************************************************************
 *   Copyright (C) 2005 by Kevin McBride                                   *
 *   kevin@planetsaphire.com                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#define	LIBTEKLTI_EXPORT	(0)
#define	TEKFILE_INTERNAL	(0)
#define	TEKFILEASCII_INTERNAL	(0)

#ifndef	_cplusplus
#define	_cplusplus
#endif	/* _cplusplus */
#include "teklti.h"

#ifdef	NULL
#undef	NULL
#endif

#define	NULL	0


MKTEKUUID(UTekFileASCII, "7EBCE1F4-1E9E-11DA-9D37-000BDBC434D9")
MKTEKDEBUGSTRING(DBTekFileASCII, "TekFileASCII")



TekFileASCII::TekFileASCII()
{
	;
}


TekFileASCII::~TekFileASCII()
{
	;
}


#if	NULL != 0

/**
    \fn TekFileASCII::ReadLine(uchar_t** Buffer, unsigned long ReadMax)
    
    Reads up to ReadMax characters from a file and puts it in a
    uchar_t.  The Buffer can be an already-created uchar_t, or
    can be a pointer to a uchar_t* to store the new uchar_t in.
    
    NOTE: For optimization reasons, always let this function
    create the uchar_t for you.  However, the same uchar_t can
    be passed in to this function without any problems.
 */

TEKERR TekFileASCII::ReadLine(uchar_t** Buffer, unsigned long ReadMax)
{
}

/**
    \fn TekFileASCII::WriteLine(const uchar_t* Buffer)
    
    Writes a ascii-part of a uchar_t to the file.
 */

TEKERR TekFileASCII::WriteLine(const uchar_t* Buffer)
{
}

/**
    \fn TekFileASCII::get_FILE(FILE ** FileDescriptor)
    
    Obtains the handle used to access the open file.
 */
TEKERR TekFileASCII::get_FILE(FILE ** FileDescriptor)
{
	return TEKERR_NOTIMPL;
}


/**
    \fn TekFileASCII::get_Filename(uchar_t ** Name)
    
    Obtains the filename in the form of a uchar.
 */
TEKERR TekFileASCII::get_Filename(uchar_t ** Name)
{
	return TEKERR_NOTIMPL;
}


/**
    \fn TekFileASCII::put_FILE(FILE * FileDescriptor)
    
    Sets the handle used to access a file.\n
    \n
    WARNING!!!!!  DO NOT USE THE FILE DESCRIPTOR YOU PASS IN \n
    TO THIS FUNCTION UNLESS YOU HAVE RE-RETRIEVED IT USING \n
    TekFileASCII::get_FILE()!  Utilizing the descriptor in a direct fashion after a \n
    successful call to put_FILE() will result in undefined results!!!!!
 */
TEKERR TekFileASCII::put_FILE(FILE * FileDescriptor)
{
	return TEKERR_NOTIMPL;
}


/**
    \fn TekFileASCII::put_Filename(uchar_t * Name)
    
    Sets the filename to access.
 */
TEKERR TekFileASCII::put_Filename(uchar_t * Name)
{
	return TEKERR_NOTIMPL;
}


/*!
    \fn TekFileASCII::get_Type(TekFileType * FileTypePointer)
    
    Gets the file type.
 */
TEKERR TekFileASCII::get_Type(TekFileType * FileTypePointer)
{
	return TEKERR_NOTIMPL;
}


/*!
    \fn TekFileASCII::Close()
    
    Closes the file.
 */
TEKERR TekFileASCII::Close()
{
	return TEKERR_NOTIMPL;
}


/*!
    \fn TekFileASCII::get_Mode(TekFileMode * ModeID)
    
    Retrieves the mode currently set.
 */
TEKERR TekFileASCII::get_Mode(TekFileMode * ModeID)
{
	return TEKERR_NOTIMPL;
}


/*!
    \fn TekFileASCII::Flush()
    
    Flushes the buffer.
 */
TEKERR TekFileASCII::Flush()
{
	return TEKERR_NOTIMPL;
}


/*!
    \fn TekFileASCII::Open()
    
    Open the file.
 */
TEKERR TekFileASCII::Open()
{
	return TEKERR_NOTIMPL;
}


/*!
    \fn TekFileASCII::Open64()
    
    Open the file using 64 bit semantics.
 */
TEKERR TekFileASCII::Open64()
{
	return TEKERR_NOTIMPL;
}


/*!
    \fn TekFileASCII::put_Mode(TekFileMode ModeID)
    
    Sets the mode used to open the file.
 */
TEKERR TekFileASCII::put_Mode(TekFileMode ModeID)
{
	return TEKERR_NOTIMPL;
}


/*!
    \fn TekFileASCII::Read64(void * Buffer, uint64_t BytesToRead, uint64_t * BytesRead)
    
    Read from the file using 64 bit semantics.
 */
TEKERR TekFileASCII::Read64(void * Buffer, uint64_t BytesToRead, uint64_t * BytesRead)
{
	return TEKERR_NOTIMPL;
}


/*!
    \fn TekFileASCII::Read(void * Buffer, unsigned long BytesToRead, unsigned long * BytesRead)
    
    Read from the file.
 */
TEKERR TekFileASCII::Read(void * Buffer, unsigned long BytesToRead, unsigned long * BytesRead)
{
	return TEKERR_NOTIMPL;
}


/*!
    \fn TekFileASCII::Seek64(TekFileSeek SeekWhere, int64_t NewLocation)
    
    Seek to another position of the file using 64 bit semantics.
 */
TEKERR TekFileASCII::Seek64(TekFileSeek SeekWhere, int64_t NewLocation)
{
	return TEKERR_NOTIMPL;
}


/*!
    \fn TekFileASCII::Seek(TekFileSeek SeekWhere, signed long NewLocation)
    
    Seek to another position of the file.
 */
TEKERR TekFileASCII::Seek(TekFileSeek SeekWhere, signed long NewLocation)
{
	return TEKERR_NOTIMPL;
}


/*!
    \fn TekFileASCII::Write64(void * Buffer, uint64_t BytesToWrite, uint64_t * BytesWrote)
    
    Write to the file using 64 bit semantics.
 */
TEKERR TekFileASCII::Write64(void * Buffer, uint64_t BytesToWrite, uint64_t * BytesWrote)
{
	return TEKERR_NOTIMPL;
}


/*!
    \fn TekFileASCII::Write(void * Buffer, unsigned long BytesToWrite, unsigned long * BytesWrote)
    
    Write to the file.
 */
TEKERR TekFileASCII::Write(void * Buffer, unsigned long BytesToWrite, unsigned long * BytesWrote)
{
	return TEKERR_NOTIMPL;
}


/*!
    \fn TekFileASCII::get_Location(unsigned long * Location)

    Retrieves the location.
 */

TEKERR TekFileASCII::get_Location(unsigned long * Location)
{
	return TEKERR_NOTIMPL;
}


/*!
    \fn TekFileASCII::get_Location64(uint64_t * Location)

    Retrieves the location and stores it in a 64-bit variable.
 */

TEKERR TekFileASCII::get_Location64(uint64_t * Location)
{
	return TEKERR_NOTIMPL;
}


#endif	/* not NULL != 0 */

