/***************************************************************************
 *   Copyright (C) 2005 by Kevin McBride                                   *
 *   kevin@planetsaphire.com                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef TEKENUM_H_8D3ED3C6_3ACE_11DA_9ADF_000BDBC434D9
#define TEKENUM_H_8D3ED3C6_3ACE_11DA_9ADF_000BDBC434D9

#ifndef	TEKLTI_H_C35A2A4C_D475_11D9_90BC_000BDBC434D9
#error	This file must be included from <teklti.h>
#endif	/* TEKLTI_H_C35A2A4C_D475_11D9_90BC_000BDBC434D9 */

TEKUUIDIMPORT(UTekEnum);


/**
This interface defines the standard for accessing enumerations.
 
This interface is <b>INHERITABLE</b>.
 
@author Kevin McBride
*/
class TekEnum : public TekStd
{
public:
  TekEnum();

  ~TekEnum();
    virtual TEKERR Clone(TekEnum ** RetVal) = 0;
    virtual TEKERR Back(void ** RetVal) = 0;
    virtual TEKERR EnumNo(unsigned long ItemNo) = 0;
    virtual TEKERR Next(void ** RetVal) = 0;
    virtual TEKERR Reset() = 0;

};

#endif /* TEKENUM_H_8D3ED3C6_3ACE_11DA_9ADF_000BDBC434D9 */
