<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="struct">
    <name>_uchar_t</name>
    <filename>struct__uchar__t.html</filename>
    <member kind="variable">
      <type>char *</type>
      <name>uchar_t_ascii</name>
      <anchorfile>struct__uchar__t.html</anchorfile>
      <anchor>0f8308025610292731811c55ee1e7568</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>size_t</type>
      <name>uchar_t_asciilen</name>
      <anchorfile>struct__uchar__t.html</anchorfile>
      <anchor>dd525a97cc91b2d6e08e88ceaf82630a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>wchar_t *</type>
      <name>uchar_t_unicode</name>
      <anchorfile>struct__uchar__t.html</anchorfile>
      <anchor>923c24476dd1face86a3831198f64c40</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>size_t</type>
      <name>uchar_t_unicodelen</name>
      <anchorfile>struct__uchar__t.html</anchorfile>
      <anchor>3a3f4ccc1b3b52cfa68cfbf3f458e2ca</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>i64</name>
    <filename>structi64.html</filename>
    <member kind="variable">
      <type>unsigned int</type>
      <name>i64_a</name>
      <anchorfile>structi64.html</anchorfile>
      <anchor>c2a65e3898d50cea970a9500d1804cc8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>i64_b</name>
      <anchorfile>structi64.html</anchorfile>
      <anchor>7d0eb5ac1391773bc3b9b82bf45b2670</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TekArray</name>
    <filename>structTekArray.html</filename>
    <member kind="variable">
      <type>unsigned long</type>
      <name>TekArraySize</name>
      <anchorfile>structTekArray.html</anchorfile>
      <anchor>63c1f4878e46d3134c5de4768274d750</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint8_t **</type>
      <name>TekArrayAccessPoint</name>
      <anchorfile>structTekArray.html</anchorfile>
      <anchor>fc2182044c69a71c897f3de980853f5c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint8_t *</type>
      <name>TekArrayMemoryLoc</name>
      <anchorfile>structTekArray.html</anchorfile>
      <anchor>790251d5b0dba54cd20d8ba98ebe3c17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>TekArrayMaxElements</name>
      <anchorfile>structTekArray.html</anchorfile>
      <anchor>b12585e8d92b8977fdc4c28fb3dd9f67</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>TekArrayElementSize</name>
      <anchorfile>structTekArray.html</anchorfile>
      <anchor>c58e862eb2c4d62cf888a19078cb03c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>TekArrayEnumLoc</name>
      <anchorfile>structTekArray.html</anchorfile>
      <anchor>010586f4a54c8a845b22800e9c3c0baf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>TekArrayRef</name>
      <anchorfile>structTekArray.html</anchorfile>
      <anchor>13ea9e7229472703e42f22e65ae39ce9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>TEKARRAY_MACRODEF</name>
      <anchorfile>structTekArray.html</anchorfile>
      <anchor>69c10e9d24078d60528a6d7031165a24</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekEnum</name>
    <filename>classTekEnum.html</filename>
    <base>TekStd</base>
    <member kind="function">
      <type></type>
      <name>TekEnum</name>
      <anchorfile>classTekEnum.html</anchorfile>
      <anchor>30489c98cde8f54abee77bf983fd6811</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TekEnum</name>
      <anchorfile>classTekEnum.html</anchorfile>
      <anchor>4c11aa40e01f2c75491bae2ac2f9be78</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Clone</name>
      <anchorfile>classTekEnum.html</anchorfile>
      <anchor>e699ae7453e2bae16e77bf0c0d153af8</anchor>
      <arglist>(TekEnum **RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Back</name>
      <anchorfile>classTekEnum.html</anchorfile>
      <anchor>216b075c739a224df93d03a1bcda55bb</anchor>
      <arglist>(void **RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>EnumNo</name>
      <anchorfile>classTekEnum.html</anchorfile>
      <anchor>e16f9eb7ffd12ad2f5a02dcb942587b3</anchor>
      <arglist>(unsigned long ItemNo)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Next</name>
      <anchorfile>classTekEnum.html</anchorfile>
      <anchor>06c0248a6a5dfd79e459f2633c73c6fe</anchor>
      <arglist>(void **RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Reset</name>
      <anchorfile>classTekEnum.html</anchorfile>
      <anchor>cfb7f8ae6efad95c51d13160aab16c2d</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekFile</name>
    <filename>classTekFile.html</filename>
    <base>TekStd</base>
    <member kind="function">
      <type></type>
      <name>TekFile</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>53dff5496d762de720560f1aacedce94</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TekFile</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>721b75e9a1ee12bb12f7aae8fa76add5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_FILE</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>08654df4de499c7559816451dde08bc4</anchor>
      <arglist>(FILE **FileDescriptor)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Filename</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>268ad7f4d07b1bebef1cd48cc96f94a8</anchor>
      <arglist>(uchar_t **Name)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Mode</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>846ff8b9f9b32673f95362ffa73592cb</anchor>
      <arglist>(TekFileMode *ModeID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Type</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>5c78efbe55ad0a8fd4e25e28259de3e8</anchor>
      <arglist>(TekFileType *FileTypePointer)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_FILE</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>41870489c66828fd8610c5bd4377d4cd</anchor>
      <arglist>(FILE *FileDescriptor)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_Filename</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>5f14b765133a99ce6a75e91f27f805b7</anchor>
      <arglist>(uchar_t *Name)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_Mode</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>0a1f21a795790796095400717ecc0f93</anchor>
      <arglist>(TekFileMode ModeID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Close</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>1a5364d59f4ae62f557f7e1ff560ed15</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Flush</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>77af8c6caabb9f8cab550bd12db6217e</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Open</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>3525e9a52d1d2ebf10919c4d33535e30</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Open64</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>429e76ea5c903dfe00f9e3ac6b9b93b2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Read64</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>8d8adea5b5ad5ffb6e03b66731cbfd6e</anchor>
      <arglist>(void *Buffer, uint64_t BytesToRead, uint64_t *BytesRead)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Read</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>431a4afb13977bc7dc6b64dec4c40d68</anchor>
      <arglist>(void *Buffer, unsigned long BytesToRead, unsigned long *BytesRead)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Seek64</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>b1f61959a29bc5ed14bd7dd030c84165</anchor>
      <arglist>(TekFileSeek SeekWhere, int64_t NewLocation)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Seek</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>78e141e60306534d09476137a609a62d</anchor>
      <arglist>(TekFileSeek SeekWhere, signed long NewLocation)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Write64</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>64a059a2bb0f5f617eb17e9ab7009001</anchor>
      <arglist>(void *Buffer, uint64_t BytesToWrite, uint64_t *BytesWrote)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Write</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>15f4dcd271861a88cd8dc2dd82064a73</anchor>
      <arglist>(void *Buffer, unsigned long BytesToWrite, unsigned long *BytesWrote)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Location</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>8fed034303e9ba65ce6700b800cdc01f</anchor>
      <arglist>(unsigned long *Location)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Location64</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>7d6c45f8aa069676b38a327e8a385165</anchor>
      <arglist>(uint64_t *Location)=0</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>TEKSTD_HEADER_VARS</name>
      <anchorfile>classTekFile.html</anchorfile>
      <anchor>fa5038065a6423d35b4e8d07fd1a2c83</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekFileASCII</name>
    <filename>classTekFileASCII.html</filename>
    <base>TekFile</base>
    <member kind="function">
      <type></type>
      <name>TekFileASCII</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>c79cef63914109f3fc57153c71636526</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TekFileASCII</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>f088af8b69d1dfc2050a073546357e0d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>ReadLine</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>5feb05e82b44d7613ed5a87319add5ad</anchor>
      <arglist>(uchar_t **Buffer, unsigned long ReadMax)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>WriteLine</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>5ef51a3b7f3fac71d55c0b6bc73803d3</anchor>
      <arglist>(const uchar_t *Buffer)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Close</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>1a5364d59f4ae62f557f7e1ff560ed15</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Flush</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>77af8c6caabb9f8cab550bd12db6217e</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_FILE</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>08654df4de499c7559816451dde08bc4</anchor>
      <arglist>(FILE **FileDescriptor)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Filename</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>268ad7f4d07b1bebef1cd48cc96f94a8</anchor>
      <arglist>(uchar_t **Name)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Mode</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>846ff8b9f9b32673f95362ffa73592cb</anchor>
      <arglist>(TekFileMode *ModeID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Type</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>5c78efbe55ad0a8fd4e25e28259de3e8</anchor>
      <arglist>(TekFileType *FileTypePointer)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Open</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>3525e9a52d1d2ebf10919c4d33535e30</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Open64</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>429e76ea5c903dfe00f9e3ac6b9b93b2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_FILE</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>41870489c66828fd8610c5bd4377d4cd</anchor>
      <arglist>(FILE *FileDescriptor)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_Filename</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>5f14b765133a99ce6a75e91f27f805b7</anchor>
      <arglist>(uchar_t *Name)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_Mode</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>0a1f21a795790796095400717ecc0f93</anchor>
      <arglist>(TekFileMode ModeID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Read64</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>8d8adea5b5ad5ffb6e03b66731cbfd6e</anchor>
      <arglist>(void *Buffer, uint64_t BytesToRead, uint64_t *BytesRead)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Read</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>431a4afb13977bc7dc6b64dec4c40d68</anchor>
      <arglist>(void *Buffer, unsigned long BytesToRead, unsigned long *BytesRead)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Seek64</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>b1f61959a29bc5ed14bd7dd030c84165</anchor>
      <arglist>(TekFileSeek SeekWhere, int64_t NewLocation)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Seek</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>78e141e60306534d09476137a609a62d</anchor>
      <arglist>(TekFileSeek SeekWhere, signed long NewLocation)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Write64</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>64a059a2bb0f5f617eb17e9ab7009001</anchor>
      <arglist>(void *Buffer, uint64_t BytesToWrite, uint64_t *BytesWrote)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Write</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>15f4dcd271861a88cd8dc2dd82064a73</anchor>
      <arglist>(void *Buffer, unsigned long BytesToWrite, unsigned long *BytesWrote)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Location</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>8fed034303e9ba65ce6700b800cdc01f</anchor>
      <arglist>(unsigned long *Location)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Location64</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>7d6c45f8aa069676b38a327e8a385165</anchor>
      <arglist>(uint64_t *Location)=0</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>TEKSTD_HEADER_VARS</name>
      <anchorfile>classTekFileASCII.html</anchorfile>
      <anchor>fa5038065a6423d35b4e8d07fd1a2c83</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekFileASCIIBare</name>
    <filename>classTekFileASCIIBare.html</filename>
    <base>TekFileASCII</base>
    <member kind="function">
      <type></type>
      <name>TekFileASCIIBare</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>a1908cac3e6076fc1f9c2a6efa488aa0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TekFileASCIIBare</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>64c5072e9826e79d5f4bb81c0a94c6fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>ReadLine</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>c784b538fb314fc29315660279fa7eb9</anchor>
      <arglist>(uchar_t **Buffer, unsigned long ReadMax)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>WriteLine</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>466dae18a8bdfc3d489b88e91ff0f085</anchor>
      <arglist>(const uchar_t *Buffer)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Close</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>4e063d9e8233e6a30cc01cbb65795797</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Flush</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>5731576369d5ec612f670909a11ff1f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_FILE</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>452740c2956a85d5ab33b9b67cc7151d</anchor>
      <arglist>(FILE **FileDescriptor)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Filename</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>f1badcb5cff329bda73d23f5f2a622e9</anchor>
      <arglist>(uchar_t **Name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Mode</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>e4e1ba18119937c036a986f19a98c6fd</anchor>
      <arglist>(TekFileMode *ModeID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Type</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>b4521380fd9fa3c36f7a65189141b523</anchor>
      <arglist>(TekFileType *FileTypePointer)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Open</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>4234977be2df9ef9cf1350fec11fe64c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Open64</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>597ec582007497d601151f8032248007</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_FILE</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>71f990a7b64503bf91a0a1cd57806469</anchor>
      <arglist>(FILE *FileDescriptor)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Filename</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>ec4c5b78cd3a90f9990786ef600987bd</anchor>
      <arglist>(uchar_t *Name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Mode</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>d8b273b8e1a05937dc2220fb1ad1cfcb</anchor>
      <arglist>(TekFileMode ModeID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Read64</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>f48d953850d91eae7e8cf68a483681e1</anchor>
      <arglist>(void *Buffer, uint64_t BytesToRead, uint64_t *BytesRead)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Read</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>57e855b52216caea9a8855e99edd414e</anchor>
      <arglist>(void *Buffer, unsigned long BytesToRead, unsigned long *BytesRead)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Seek64</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>8727b302344171f34418286df873a2da</anchor>
      <arglist>(TekFileSeek SeekWhere, int64_t NewLocation)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Seek</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>f4381c15f319578245798559a5284c0d</anchor>
      <arglist>(TekFileSeek SeekWhere, signed long NewLocation)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Write64</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>ff85b543ea76cfccf62e9d2c5497a9f0</anchor>
      <arglist>(void *Buffer, uint64_t BytesToWrite, uint64_t *BytesWrote)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Write</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>a2cbb1c2973f10dcd975999e3ab26909</anchor>
      <arglist>(void *Buffer, unsigned long BytesToWrite, unsigned long *BytesWrote)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Location</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>1dbb8332d877cb17230e783d3e7332ca</anchor>
      <arglist>(unsigned long *Location)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Location64</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>8a116383a1f728f07a3057f2c7469cb7</anchor>
      <arglist>(uint64_t *Location)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>TEKSTD_HEADER_VARS</name>
      <anchorfile>classTekFileASCIIBare.html</anchorfile>
      <anchor>fa5038065a6423d35b4e8d07fd1a2c83</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekFileBinary</name>
    <filename>classTekFileBinary.html</filename>
    <base>TekFile</base>
    <member kind="function">
      <type></type>
      <name>TekFileBinary</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>ec153b605746c2e4eca0ec475e6e3de2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TekFileBinary</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>9adf56f9511d2a9baa25fe170f09045e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TEKERR</type>
      <name>ConvertToPipe</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>65b9916fd78899e70a1a0c6e4fe90cbd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Close</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>4e063d9e8233e6a30cc01cbb65795797</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Flush</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>5731576369d5ec612f670909a11ff1f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_FILE</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>452740c2956a85d5ab33b9b67cc7151d</anchor>
      <arglist>(FILE **FileDescriptor)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Filename</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>f1badcb5cff329bda73d23f5f2a622e9</anchor>
      <arglist>(uchar_t **Name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Mode</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>e4e1ba18119937c036a986f19a98c6fd</anchor>
      <arglist>(TekFileMode *ModeID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Type</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>b4521380fd9fa3c36f7a65189141b523</anchor>
      <arglist>(TekFileType *FileTypePointer)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Open</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>4234977be2df9ef9cf1350fec11fe64c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Open64</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>597ec582007497d601151f8032248007</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_FILE</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>71f990a7b64503bf91a0a1cd57806469</anchor>
      <arglist>(FILE *FileDescriptor)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Filename</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>ec4c5b78cd3a90f9990786ef600987bd</anchor>
      <arglist>(uchar_t *Name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Mode</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>d8b273b8e1a05937dc2220fb1ad1cfcb</anchor>
      <arglist>(TekFileMode ModeID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Read64</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>f48d953850d91eae7e8cf68a483681e1</anchor>
      <arglist>(void *Buffer, uint64_t BytesToRead, uint64_t *BytesRead)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Read</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>57e855b52216caea9a8855e99edd414e</anchor>
      <arglist>(void *Buffer, unsigned long BytesToRead, unsigned long *BytesRead)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Seek64</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>8727b302344171f34418286df873a2da</anchor>
      <arglist>(TekFileSeek SeekWhere, int64_t NewLocation)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Seek</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>f4381c15f319578245798559a5284c0d</anchor>
      <arglist>(TekFileSeek SeekWhere, signed long NewLocation)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Write64</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>ff85b543ea76cfccf62e9d2c5497a9f0</anchor>
      <arglist>(void *Buffer, uint64_t BytesToWrite, uint64_t *BytesWrote)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Write</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>a2cbb1c2973f10dcd975999e3ab26909</anchor>
      <arglist>(void *Buffer, unsigned long BytesToWrite, unsigned long *BytesWrote)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Location</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>1dbb8332d877cb17230e783d3e7332ca</anchor>
      <arglist>(unsigned long *Location)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Location64</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>8a116383a1f728f07a3057f2c7469cb7</anchor>
      <arglist>(uint64_t *Location)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>TEKSTD_HEADER_VARS</name>
      <anchorfile>classTekFileBinary.html</anchorfile>
      <anchor>fa5038065a6423d35b4e8d07fd1a2c83</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekFileBZ2</name>
    <filename>classTekFileBZ2.html</filename>
    <base>TekFile</base>
    <member kind="function">
      <type></type>
      <name>TekFileBZ2</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>16db66948d2ceb67b42993bdcafb13f6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TekFileBZ2</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>e09d7c8c9a12c27a2f296e8235ef462b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_BytesIn</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>4c966a4b5b5d0a9539074fe0eeeed775</anchor>
      <arglist>(uint64_t *RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_BytesOut</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>dbc2044b2cada779d23573c2ac4cea28</anchor>
      <arglist>(uint64_t *RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_UseLessMemory</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>eff5626376fcc09cd6eb17b414d4ed76</anchor>
      <arglist>(unsigned int NewVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_UseLessMemory</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>522ddffb8959ba61a6790cd46db11477</anchor>
      <arglist>(unsigned int *RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_WorkFactor</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>e435e70ae511954dcfdafb43ff182c11</anchor>
      <arglist>(unsigned int NewVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_WorkFactor</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>367bcf3babc4bea4f7b58ae497d67fa5</anchor>
      <arglist>(unsigned int *RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_Verbosity</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>e69ca9b239e34cf1fceccb900634cffb</anchor>
      <arglist>(unsigned int NewVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Verbosity</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>593a0051681fd95f9c58cd6fc2086903</anchor>
      <arglist>(unsigned int *RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_BlockSize</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>bc813536f6ca1bf7bf0f0064648f5167</anchor>
      <arglist>(unsigned int NewVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_BlockSize</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>c0c5466ad676b6871a3a141701f080af</anchor>
      <arglist>(unsigned int *RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>CloseStream</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>4ce70675d44d169133b60e3ea77a8fa6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>OpenStream</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>71063b20dbe123d270a78d926400a781</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_FILE</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>08654df4de499c7559816451dde08bc4</anchor>
      <arglist>(FILE **FileDescriptor)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Filename</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>268ad7f4d07b1bebef1cd48cc96f94a8</anchor>
      <arglist>(uchar_t **Name)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Mode</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>846ff8b9f9b32673f95362ffa73592cb</anchor>
      <arglist>(TekFileMode *ModeID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Type</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>5c78efbe55ad0a8fd4e25e28259de3e8</anchor>
      <arglist>(TekFileType *FileTypePointer)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_FILE</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>41870489c66828fd8610c5bd4377d4cd</anchor>
      <arglist>(FILE *FileDescriptor)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_Filename</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>5f14b765133a99ce6a75e91f27f805b7</anchor>
      <arglist>(uchar_t *Name)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_Mode</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>0a1f21a795790796095400717ecc0f93</anchor>
      <arglist>(TekFileMode ModeID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Close</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>1a5364d59f4ae62f557f7e1ff560ed15</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Flush</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>77af8c6caabb9f8cab550bd12db6217e</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Open</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>3525e9a52d1d2ebf10919c4d33535e30</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Open64</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>429e76ea5c903dfe00f9e3ac6b9b93b2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Read64</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>8d8adea5b5ad5ffb6e03b66731cbfd6e</anchor>
      <arglist>(void *Buffer, uint64_t BytesToRead, uint64_t *BytesRead)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Read</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>431a4afb13977bc7dc6b64dec4c40d68</anchor>
      <arglist>(void *Buffer, unsigned long BytesToRead, unsigned long *BytesRead)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Seek64</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>b1f61959a29bc5ed14bd7dd030c84165</anchor>
      <arglist>(TekFileSeek SeekWhere, int64_t NewLocation)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Seek</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>78e141e60306534d09476137a609a62d</anchor>
      <arglist>(TekFileSeek SeekWhere, signed long NewLocation)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Write64</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>64a059a2bb0f5f617eb17e9ab7009001</anchor>
      <arglist>(void *Buffer, uint64_t BytesToWrite, uint64_t *BytesWrote)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Write</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>15f4dcd271861a88cd8dc2dd82064a73</anchor>
      <arglist>(void *Buffer, unsigned long BytesToWrite, unsigned long *BytesWrote)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Location</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>8fed034303e9ba65ce6700b800cdc01f</anchor>
      <arglist>(unsigned long *Location)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Location64</name>
      <anchorfile>classTekFileBZ2.html</anchorfile>
      <anchor>7d6c45f8aa069676b38a327e8a385165</anchor>
      <arglist>(uint64_t *Location)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekFileBZ2ASCII</name>
    <filename>classTekFileBZ2ASCII.html</filename>
    <base>TekFileBZ2</base>
    <base>TekFileASCII</base>
    <member kind="function">
      <type></type>
      <name>TekFileBZ2ASCII</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>7199c0d348595d2ff1f2f42a7c54fb9d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TekFileBZ2ASCII</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>46155be536fd222def4f3f106f375874</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TEKSTD_HEADER_VARSANDFUNC</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>2518f5133aa26651eda8d258effea485</anchor>
      <arglist>(TekFileBZ2ASCII)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>ReadLine</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>c784b538fb314fc29315660279fa7eb9</anchor>
      <arglist>(uchar_t **Buffer, unsigned long ReadMax)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>WriteLine</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>466dae18a8bdfc3d489b88e91ff0f085</anchor>
      <arglist>(const uchar_t *Buffer)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_BytesIn</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>394f97a7f5dd0797b7d306a6971ff808</anchor>
      <arglist>(uint64_t *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_BytesOut</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>1829b8ec289b2f5352397e70375b0290</anchor>
      <arglist>(uint64_t *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_UseLessMemory</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>55b5b8ad76a951b736d9ba1081bad3eb</anchor>
      <arglist>(unsigned int NewVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_UseLessMemory</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>8a4154ef4b07b117d4f75ee0edaed6a9</anchor>
      <arglist>(unsigned int *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_WorkFactor</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>c525dbaebe500acbe64bf7e24134011c</anchor>
      <arglist>(unsigned int NewVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_WorkFactor</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>9841fffc4e4ff34a7b31e4bcb9384663</anchor>
      <arglist>(unsigned int *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Verbosity</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>5bc6e7c5ce2fd1d3d187d1ea69f46785</anchor>
      <arglist>(unsigned int NewVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Verbosity</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>898dd5c063326d37e74f797961ee784d</anchor>
      <arglist>(unsigned int *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_BlockSize</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>8250ba5d264c03c110caf43c12d4f1c8</anchor>
      <arglist>(unsigned int NewVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_BlockSize</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>7b6ece8145d278821bd9e037a94dc5ce</anchor>
      <arglist>(unsigned int *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>CloseStream</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>4f0a411df7f5fad928f69fcecf6e0323</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>OpenStream</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>6ddb24c380306e647cdc368c5da80a32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_FILE</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>452740c2956a85d5ab33b9b67cc7151d</anchor>
      <arglist>(FILE **FileDescriptor)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Filename</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>f1badcb5cff329bda73d23f5f2a622e9</anchor>
      <arglist>(uchar_t **Name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Mode</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>e4e1ba18119937c036a986f19a98c6fd</anchor>
      <arglist>(TekFileMode *ModeID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Type</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>b4521380fd9fa3c36f7a65189141b523</anchor>
      <arglist>(TekFileType *FileTypePointer)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_FILE</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>71f990a7b64503bf91a0a1cd57806469</anchor>
      <arglist>(FILE *FileDescriptor)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Filename</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>ec4c5b78cd3a90f9990786ef600987bd</anchor>
      <arglist>(uchar_t *Name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Mode</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>d8b273b8e1a05937dc2220fb1ad1cfcb</anchor>
      <arglist>(TekFileMode ModeID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Close</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>4e063d9e8233e6a30cc01cbb65795797</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Flush</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>5731576369d5ec612f670909a11ff1f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Open</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>4234977be2df9ef9cf1350fec11fe64c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Open64</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>597ec582007497d601151f8032248007</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Read64</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>f48d953850d91eae7e8cf68a483681e1</anchor>
      <arglist>(void *Buffer, uint64_t BytesToRead, uint64_t *BytesRead)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Read</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>57e855b52216caea9a8855e99edd414e</anchor>
      <arglist>(void *Buffer, unsigned long BytesToRead, unsigned long *BytesRead)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Seek64</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>8727b302344171f34418286df873a2da</anchor>
      <arglist>(TekFileSeek SeekWhere, int64_t NewLocation)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Seek</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>f4381c15f319578245798559a5284c0d</anchor>
      <arglist>(TekFileSeek SeekWhere, signed long NewLocation)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Write64</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>ff85b543ea76cfccf62e9d2c5497a9f0</anchor>
      <arglist>(void *Buffer, uint64_t BytesToWrite, uint64_t *BytesWrote)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Write</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>a2cbb1c2973f10dcd975999e3ab26909</anchor>
      <arglist>(void *Buffer, unsigned long BytesToWrite, unsigned long *BytesWrote)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Location</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>1dbb8332d877cb17230e783d3e7332ca</anchor>
      <arglist>(unsigned long *Location)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Location64</name>
      <anchorfile>classTekFileBZ2ASCII.html</anchorfile>
      <anchor>8a116383a1f728f07a3057f2c7469cb7</anchor>
      <arglist>(uint64_t *Location)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekFileBZ2Binary</name>
    <filename>classTekFileBZ2Binary.html</filename>
    <base>TekFileBZ2</base>
    <member kind="function">
      <type></type>
      <name>TekFileBZ2Binary</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>7ba8c9fa846fadf34128ce412c232701</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TekFileBZ2Binary</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>6034bd552ae0d7974d2777feec6fb309</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_BytesIn</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>394f97a7f5dd0797b7d306a6971ff808</anchor>
      <arglist>(uint64_t *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_BytesOut</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>1829b8ec289b2f5352397e70375b0290</anchor>
      <arglist>(uint64_t *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_UseLessMemory</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>55b5b8ad76a951b736d9ba1081bad3eb</anchor>
      <arglist>(unsigned int NewVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_UseLessMemory</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>8a4154ef4b07b117d4f75ee0edaed6a9</anchor>
      <arglist>(unsigned int *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_WorkFactor</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>c525dbaebe500acbe64bf7e24134011c</anchor>
      <arglist>(unsigned int NewVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_WorkFactor</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>9841fffc4e4ff34a7b31e4bcb9384663</anchor>
      <arglist>(unsigned int *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Verbosity</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>5bc6e7c5ce2fd1d3d187d1ea69f46785</anchor>
      <arglist>(unsigned int NewVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Verbosity</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>898dd5c063326d37e74f797961ee784d</anchor>
      <arglist>(unsigned int *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_BlockSize</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>8250ba5d264c03c110caf43c12d4f1c8</anchor>
      <arglist>(unsigned int NewVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_BlockSize</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>7b6ece8145d278821bd9e037a94dc5ce</anchor>
      <arglist>(unsigned int *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>CloseStream</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>4f0a411df7f5fad928f69fcecf6e0323</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>OpenStream</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>6ddb24c380306e647cdc368c5da80a32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_FILE</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>452740c2956a85d5ab33b9b67cc7151d</anchor>
      <arglist>(FILE **FileDescriptor)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Filename</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>f1badcb5cff329bda73d23f5f2a622e9</anchor>
      <arglist>(uchar_t **Name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Mode</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>e4e1ba18119937c036a986f19a98c6fd</anchor>
      <arglist>(TekFileMode *ModeID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Type</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>b4521380fd9fa3c36f7a65189141b523</anchor>
      <arglist>(TekFileType *FileTypePointer)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_FILE</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>71f990a7b64503bf91a0a1cd57806469</anchor>
      <arglist>(FILE *FileDescriptor)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Filename</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>ec4c5b78cd3a90f9990786ef600987bd</anchor>
      <arglist>(uchar_t *Name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Mode</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>d8b273b8e1a05937dc2220fb1ad1cfcb</anchor>
      <arglist>(TekFileMode ModeID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Close</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>4e063d9e8233e6a30cc01cbb65795797</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Flush</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>5731576369d5ec612f670909a11ff1f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Open</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>4234977be2df9ef9cf1350fec11fe64c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Open64</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>597ec582007497d601151f8032248007</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Read64</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>f48d953850d91eae7e8cf68a483681e1</anchor>
      <arglist>(void *Buffer, uint64_t BytesToRead, uint64_t *BytesRead)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Read</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>57e855b52216caea9a8855e99edd414e</anchor>
      <arglist>(void *Buffer, unsigned long BytesToRead, unsigned long *BytesRead)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Seek64</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>8727b302344171f34418286df873a2da</anchor>
      <arglist>(TekFileSeek SeekWhere, int64_t NewLocation)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Seek</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>f4381c15f319578245798559a5284c0d</anchor>
      <arglist>(TekFileSeek SeekWhere, signed long NewLocation)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Write64</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>ff85b543ea76cfccf62e9d2c5497a9f0</anchor>
      <arglist>(void *Buffer, uint64_t BytesToWrite, uint64_t *BytesWrote)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Write</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>a2cbb1c2973f10dcd975999e3ab26909</anchor>
      <arglist>(void *Buffer, unsigned long BytesToWrite, unsigned long *BytesWrote)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Location</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>1dbb8332d877cb17230e783d3e7332ca</anchor>
      <arglist>(unsigned long *Location)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Location64</name>
      <anchorfile>classTekFileBZ2Binary.html</anchorfile>
      <anchor>8a116383a1f728f07a3057f2c7469cb7</anchor>
      <arglist>(uint64_t *Location)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekGlobalVars</name>
    <filename>classTekGlobalVars.html</filename>
    <member kind="function">
      <type>TEKLTI_DECLSPEC TEKERR</type>
      <name>TekFileCreate</name>
      <anchorfile>classTekGlobalVars.html</anchorfile>
      <anchor>ed2a9a8d1a6c82f24370e815918c0183</anchor>
      <arglist>(TekFileType FileType, TekFile **RetVal, uchar_t *FileName=(uchar_t *) NULL)</arglist>
    </member>
    <member kind="function">
      <type>TEKLTI_DECLSPEC TEKERR</type>
      <name>TekUserInfoCreate</name>
      <anchorfile>classTekGlobalVars.html</anchorfile>
      <anchor>c09198c7fc4df69535e3622fbc571f5b</anchor>
      <arglist>(struct TekUserInfo *UserInfo, TekUser **RetVal, TekUserType UserType=TekUserType_Any)</arglist>
    </member>
    <member kind="function">
      <type>TEKERR</type>
      <name>TekStdCheckAndRecieveProcessorInfoIntel</name>
      <anchorfile>classTekGlobalVars.html</anchorfile>
      <anchor>b7841304dc77953b8e5ccc65343ce3d0</anchor>
      <arglist>(struct TekStdProcessorInfoIntel *ProcessorInfoArray, size_t ProcessorInfoArrayCount, TEKSTDPROCESSORINFO_FAIL_CALLBACK *CallbackFunction)</arglist>
    </member>
    <member kind="function">
      <type>TEKLTI_DECLSPEC TEKERR</type>
      <name>TekStdCreateInstance</name>
      <anchorfile>classTekGlobalVars.html</anchorfile>
      <anchor>252bc6e9b14a10d0079eed7e1836ae50</anchor>
      <arglist>(CPTekStdCIInput InterfaceStructs, size_t InterfaceStructCount, void **InstanceArray, size_t InstanceArrayCount, const uuid_t *UUIDArray, size_t UUIDArrayCount, unsigned int Flags, PTekStdVersion VersionStruct)</arglist>
    </member>
    <member kind="function">
      <type>TEKLTI_DECLSPEC TEKERR</type>
      <name>TekStdGetGlobalVariables</name>
      <anchorfile>classTekGlobalVars.html</anchorfile>
      <anchor>c6fc493f7cfd5530ce69d01648f11725</anchor>
      <arglist>(struct TekStdGlobalVars *RetVal)</arglist>
    </member>
    <member kind="function">
      <type>TEKLTI_DECLSPEC TEKERR</type>
      <name>TekStdGetLibraryVersion</name>
      <anchorfile>classTekGlobalVars.html</anchorfile>
      <anchor>80654ed22ce995a7c0e38fc7f32ac60c</anchor>
      <arglist>(PTekStdVersion *VersionStruct, size_t VersionStructCount)</arglist>
    </member>
    <member kind="function">
      <type>TEKLTI_DECLSPEC uchar_t *</type>
      <name>char2uchar</name>
      <anchorfile>classTekGlobalVars.html</anchorfile>
      <anchor>b0ae7d1db3b972cb7791c3772eb42b28</anchor>
      <arglist>(const char *src)</arglist>
    </member>
    <member kind="function">
      <type>TEKLTI_DECLSPEC uchar_t *</type>
      <name>char2ucharlen</name>
      <anchorfile>classTekGlobalVars.html</anchorfile>
      <anchor>bcec2faf4dd45c036946e0fb77a51239</anchor>
      <arglist>(const char *src, size_t len)</arglist>
    </member>
    <member kind="function">
      <type>TEKLTI_DECLSPEC uchar_t *</type>
      <name>uchardup</name>
      <anchorfile>classTekGlobalVars.html</anchorfile>
      <anchor>033af06e999247aa3ec800f379256c5f</anchor>
      <arglist>(const uchar_t *src)</arglist>
    </member>
    <member kind="function">
      <type>TEKLTI_DECLSPEC void</type>
      <name>ucharempty</name>
      <anchorfile>classTekGlobalVars.html</anchorfile>
      <anchor>17790e5291826444480f5595b781fc2c</anchor>
      <arglist>(uchar_t *uchrtofree)</arglist>
    </member>
    <member kind="function">
      <type>TEKLTI_DECLSPEC char *</type>
      <name>uchar2char</name>
      <anchorfile>classTekGlobalVars.html</anchorfile>
      <anchor>4045f4fe9a32507cfe1b7979883c7032</anchor>
      <arglist>(const uchar_t *uchr)</arglist>
    </member>
    <member kind="function">
      <type>TEKLTI_DECLSPEC void</type>
      <name>mkucharnull</name>
      <anchorfile>classTekGlobalVars.html</anchorfile>
      <anchor>6631ae215d843a32a7a033bb96044cbb</anchor>
      <arglist>(uchar_t *uchr, uint32_t extradw)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekStatFile</name>
    <filename>classTekStatFile.html</filename>
    <base>TekStd</base>
    <member kind="function">
      <type></type>
      <name>TekStatFile</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>d2f405aa7dbaeeabc42418b46a869cb8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TekStatFile</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>cb098024e002f56e5af94d5d9db8924c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_Filename</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>6d697fbd648d3643b1c97a9f8fd556e6</anchor>
      <arglist>(const uchar_t *Filename)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_FILE</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>41870489c66828fd8610c5bd4377d4cd</anchor>
      <arglist>(FILE *FileDescriptor)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_UserInfoToAccess</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>ba16236ed77daf799e456111d40262e2</anchor>
      <arglist>(uuid_t *UUIDOfUserInfo)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>MakeTekFile</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>09cf83749684a1762ea70b610a650868</anchor>
      <arglist>(TekFileType TekType, TekFile **RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Dev</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>959ed3e6e91f1b110be4f64f9a9e89c8</anchor>
      <arglist>(dev_t *Dev)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_DevNo</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>da57a2394a24e21666bddd53394abddc</anchor>
      <arglist>(dev_t *DevNo)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_FileSerialNo</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>9a3e38a31b289e88f39f2038692f541e</anchor>
      <arglist>(ino_t *SerialNo)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Mode</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>0787e9fd72fab8ebc7516d7bb094427e</anchor>
      <arglist>(mode_t *FileMode)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_ModeString</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>52becba0faaac6fca623aa1d430bdb5e</anchor>
      <arglist>(uchar_t **FileModeString)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_Mode</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>923276f0e32670164378a72eb66d8906</anchor>
      <arglist>(mode_t NewFileMode)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_ModeString</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>81c6bf485525b28dc382219e97401b13</anchor>
      <arglist>(const uchar_t *NewFileModeString)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_LinkCount</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>0638a56db979fe409cd074febec91809</anchor>
      <arglist>(nlink_t *LinkCount)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_UID</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>710408aba941f9f1704ef0b625ef10af</anchor>
      <arglist>(uid_t *UID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_UID</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>40611290eb3e52732eb7a18cf0782dab</anchor>
      <arglist>(uid_t UID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_GID</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>4e00bb8f57d0e96826fe14b175bcb6ab</anchor>
      <arglist>(gid_t *GID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_GID</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>16e153aab42de38ba353e0728a79b1e5</anchor>
      <arglist>(gid_t GID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_UIDString</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>589e5526a334adc764c4237a069b9eac</anchor>
      <arglist>(uchar_t **UIDString)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_UIDString</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>d2c701d1f4bfa6a4244c0ac195350868</anchor>
      <arglist>(const uchar_t *UIDString)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_GIDString</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>f44a131d0c03679ca27a2dd2f3b1e7a7</anchor>
      <arglist>(uchar_t **GIDString)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_GIDString</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>a583f7be94712947da9ad428af74f118</anchor>
      <arglist>(const uchar_t *GIDString)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Size</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>9115962e333f820a34768165b2e4fbce</anchor>
      <arglist>(unsigned long *FileSize)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Size64</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>53e4264763713313d31e79b1eef57d40</anchor>
      <arglist>(uint64_t *FileSize)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_BlockSize</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>911e07060b320728d218afe5d765b287</anchor>
      <arglist>(blksize_t *FileBlockSize)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_BlockCount</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>69cf30b1f69ef67e4468685ff00bccbd</anchor>
      <arglist>(blkcnt64_t *FileBlockCount)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_TimeOfLastAccessRaw</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>d477e9a4d9eae0f05b335819362cde64</anchor>
      <arglist>(unsigned long **RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_TimeOfLastModificationRaw</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>25f6cbb7d57cd9bcd619bda55daa8a36</anchor>
      <arglist>(unsigned long **RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_TimeOfLastStatChangeRaw</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>058be48d7998c13048572571740e09c2</anchor>
      <arglist>(unsigned long **RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_TimeOfLastAccess</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>40e5bee88ec5e892566044a0aa8d38c9</anchor>
      <arglist>(uchar_t **RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_TimeOfLastModification</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>4f046f0af65dbb8d93f26b60c123e408</anchor>
      <arglist>(uchar_t **RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_TimeOfLastStatChange</name>
      <anchorfile>classTekStatFile.html</anchorfile>
      <anchor>fa6752b8f91b21d3fd38916636eb8103</anchor>
      <arglist>(uchar_t **RetVal)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekStd</name>
    <filename>classTekStd.html</filename>
    <member kind="function">
      <type></type>
      <name>TekStd</name>
      <anchorfile>classTekStd.html</anchorfile>
      <anchor>c6584f19ef0ee7874a4afeead09df0f1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TekStd</name>
      <anchorfile>classTekStd.html</anchorfile>
      <anchor>8fc08da44323e16e88cd1e5831454bf9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual unsigned int</type>
      <name>AddRef</name>
      <anchorfile>classTekStd.html</anchorfile>
      <anchor>c80bdbcafda4331731c186c397bcbac5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>CheckFor</name>
      <anchorfile>classTekStd.html</anchorfile>
      <anchor>4cdbd67cc705c4eb3cd55c3a706fbfd5</anchor>
      <arglist>(const uuid_t *UUIDArray, size_t UUIDArraySize, unsigned short Flags=0x0000, void **RetVal=(void **) NULL, unsigned int **RefCountPtrRet=(unsigned int **) NULL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual unsigned int</type>
      <name>Release</name>
      <anchorfile>classTekStd.html</anchorfile>
      <anchor>c47952fcdc74de6e2d4a93c467232087</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>CallFunc</name>
      <anchorfile>classTekStd.html</anchorfile>
      <anchor>c862f694e056a62ce399aaa20185194f</anchor>
      <arglist>(const uchar_t *FuncName, void *RetVal, unsigned short ParamsCount, void **Params)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TekStdCIInput</name>
    <filename>structTekStdCIInput.html</filename>
    <member kind="variable">
      <type>const uuid_t *</type>
      <name>TekStdCIUUIDArray</name>
      <anchorfile>structTekStdCIInput.html</anchorfile>
      <anchor>025ac93b80904f5f0c555168a5c97902</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>size_t</type>
      <name>TekStdCIUUIDArrayCount</name>
      <anchorfile>structTekStdCIInput.html</anchorfile>
      <anchor>10fc7beeb32143d1c7175f26bf6af5cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>size_t</type>
      <name>TekStdCIInstanceCount</name>
      <anchorfile>structTekStdCIInput.html</anchorfile>
      <anchor>a5301ffbce2606e2b37669a76d0dad47</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>TekStdCIFlags</name>
      <anchorfile>structTekStdCIInput.html</anchorfile>
      <anchor>b3efd3137f47d2e18b01c84aace24288</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TEKERR</type>
      <name>TekStdCIError</name>
      <anchorfile>structTekStdCIInput.html</anchorfile>
      <anchor>0a9fd3d75526231fc8a9e6d106adf231</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TekStdVersion</type>
      <name>TekStdCIVersion</name>
      <anchorfile>structTekStdCIInput.html</anchorfile>
      <anchor>fe707b377c52f71ef063f8cfa17ad7b3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TekStdGlobalVars</name>
    <filename>structTekStdGlobalVars.html</filename>
    <member kind="variable">
      <type>size_t</type>
      <name>TekStdGlobalVarsSize</name>
      <anchorfile>structTekStdGlobalVars.html</anchorfile>
      <anchor>4a834eb31df7243393cd30c293916f26</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TekStdVersion</type>
      <name>TekStdGlobalVarsVersion</name>
      <anchorfile>structTekStdGlobalVars.html</anchorfile>
      <anchor>e030677bc000f83dda2cd7192ef0557e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>TekStdGlobalVarsMaxImpl</name>
      <anchorfile>structTekStdGlobalVars.html</anchorfile>
      <anchor>8b4e5a78434747558d4530f136bdaaf9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>TekStdGlobalVarsUnicode</name>
      <anchorfile>structTekStdGlobalVars.html</anchorfile>
      <anchor>8f305446ff9a05e63b544546de335bcf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>TekStdGlobalVarsMMX</name>
      <anchorfile>structTekStdGlobalVars.html</anchorfile>
      <anchor>8f928ff31dd84f662e04154d89857e65</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>TekStdGlobalVarsMMXResetMM7</name>
      <anchorfile>structTekStdGlobalVars.html</anchorfile>
      <anchor>3698c352055cc1c703ce0e5efe00597d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>TekStdGlobalVarsInternalChecks</name>
      <anchorfile>structTekStdGlobalVars.html</anchorfile>
      <anchor>e64ea8196079bb155e6b84c42b45f368</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>TekStdGlobalVarsPassInPointerChecks</name>
      <anchorfile>structTekStdGlobalVars.html</anchorfile>
      <anchor>aeb9073f450cdb6a8bc17c3bbc0bbe92</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>TekStdGlobalVarsPushPopEnforced</name>
      <anchorfile>structTekStdGlobalVars.html</anchorfile>
      <anchor>dd7e6fffdfb00e0afede27cf609a29a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>TekStdGlobalVarsPrivacyEnforced</name>
      <anchorfile>structTekStdGlobalVars.html</anchorfile>
      <anchor>1e3feb507c3d6d7ea59e00a5725b4f38</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TekStdProcessorInfo</name>
    <filename>structTekStdProcessorInfo.html</filename>
    <member kind="variable">
      <type>size_t</type>
      <name>TekStdProcessorInfoSize</name>
      <anchorfile>structTekStdProcessorInfo.html</anchorfile>
      <anchor>8670ea429078da0802f1ebf4cdec7298</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>TekStdProcessorInfoType</name>
      <anchorfile>structTekStdProcessorInfo.html</anchorfile>
      <anchor>17e5a4b189d80e0d3af3cd3beddfe2f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>TekStdProcessorInfoFeatures</name>
      <anchorfile>structTekStdProcessorInfo.html</anchorfile>
      <anchor>acdd44e16c781c3b68c21a7b5a326252</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>TekStdProcessorInfoDesc</name>
      <anchorfile>structTekStdProcessorInfo.html</anchorfile>
      <anchor>d19f24c1c9fb039d20ffce1cdf16ea9f</anchor>
      <arglist>[116]</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TekStdVersion</name>
    <filename>structTekStdVersion.html</filename>
    <member kind="variable">
      <type>size_t</type>
      <name>TekStdVerSize</name>
      <anchorfile>structTekStdVersion.html</anchorfile>
      <anchor>cd2d26a45ff1d869737f65d0302f1ebe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uuid_t</type>
      <name>TekStdVerUUID</name>
      <anchorfile>structTekStdVersion.html</anchorfile>
      <anchor>280a3dc62fd43a9aff42898d31f336e8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>TekStdVerVersionOK</name>
      <anchorfile>structTekStdVersion.html</anchorfile>
      <anchor>1442e1df1e8124105533b90d4dba47d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TEKERR</type>
      <name>TekStdVerErrCode</name>
      <anchorfile>structTekStdVersion.html</anchorfile>
      <anchor>2c941a133bb41b3ef9652699961fd03e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>TekStdVerMajor</name>
      <anchorfile>structTekStdVersion.html</anchorfile>
      <anchor>648bc000a4a8547652302d31acd2547a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>TekStdVerMinor</name>
      <anchorfile>structTekStdVersion.html</anchorfile>
      <anchor>5aff065db58124881bbeebf1ea6f9f51</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>TekStdVerRev</name>
      <anchorfile>structTekStdVersion.html</anchorfile>
      <anchor>adb8fb0421751ef8f54bda23e1bed27a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>TekStdVerPatchNo</name>
      <anchorfile>structTekStdVersion.html</anchorfile>
      <anchor>e5bc3ae77758e84f349ccbebc0bddf5e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>TekStdVerMisc</name>
      <anchorfile>structTekStdVersion.html</anchorfile>
      <anchor>930c7b51a328abcd79d581993f143e7f</anchor>
      <arglist>[64]</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekUser</name>
    <filename>classTekUser.html</filename>
    <base>TekStd</base>
    <member kind="function">
      <type></type>
      <name>TekUser</name>
      <anchorfile>classTekUser.html</anchorfile>
      <anchor>b964a1b0c2034c46c3c9323dbd3442c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TekUser</name>
      <anchorfile>classTekUser.html</anchorfile>
      <anchor>6a1fca0aadb40f3b3290dece36898ac6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_TekUserInfo</name>
      <anchorfile>classTekUser.html</anchorfile>
      <anchor>596a863272c8162612c057d5f462c25f</anchor>
      <arglist>(struct TekUserInfo *SUInfo)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_Description</name>
      <anchorfile>classTekUser.html</anchorfile>
      <anchor>0c2f5df26101c8c6f7a164a0f8c4c79e</anchor>
      <arglist>(const uchar_t *NewDescription)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Description</name>
      <anchorfile>classTekUser.html</anchorfile>
      <anchor>839410363f0b8eeb2c991e348b842e9d</anchor>
      <arglist>(uchar_t **RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_GroupID</name>
      <anchorfile>classTekUser.html</anchorfile>
      <anchor>f57106691a0955ddfd5cafa9150a9287</anchor>
      <arglist>(gid_t *RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_HomeDir</name>
      <anchorfile>classTekUser.html</anchorfile>
      <anchor>359e4063a3eaf30af061d95946c58302</anchor>
      <arglist>(uchar_t **RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_UserID</name>
      <anchorfile>classTekUser.html</anchorfile>
      <anchor>b9c1df88f849b9e6ceec83aff27956d7</anchor>
      <arglist>(uid_t *RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Username</name>
      <anchorfile>classTekUser.html</anchorfile>
      <anchor>26438f2377e3cbc58f0e3bf490b2087b</anchor>
      <arglist>(uchar_t **RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_GroupID</name>
      <anchorfile>classTekUser.html</anchorfile>
      <anchor>c078ba30b668407f2ac94e9f8745e731</anchor>
      <arglist>(gid_t NewGroupID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_HomeDir</name>
      <anchorfile>classTekUser.html</anchorfile>
      <anchor>0d32b4dd603f27c6268eb8a1134db0a4</anchor>
      <arglist>(const uchar_t *NewHomeDir)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_Password</name>
      <anchorfile>classTekUser.html</anchorfile>
      <anchor>9c84020235eb7cade4dd5ce53e24b073</anchor>
      <arglist>(uchar_t *NewPassword)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_UserID</name>
      <anchorfile>classTekUser.html</anchorfile>
      <anchor>d5b467e7b18cde3585789833ed90b229</anchor>
      <arglist>(uid_t NewID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_Username</name>
      <anchorfile>classTekUser.html</anchorfile>
      <anchor>a0f94df2d4087a8264e97a38fab960d4</anchor>
      <arglist>(const uchar_t *NewUsername)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Save</name>
      <anchorfile>classTekUser.html</anchorfile>
      <anchor>668f5ff32de6135861a51fd9fbd7dfd5</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekUserDB</name>
    <filename>classTekUserDB.html</filename>
    <base>TekEnum</base>
    <member kind="function">
      <type></type>
      <name>TekUserDB</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>46fc641051f6931a041c7790b2e303ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TekUserDB</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>2e2fb981178cef123808f5c2ec6b1bc6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Clone</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>e699ae7453e2bae16e77bf0c0d153af8</anchor>
      <arglist>(TekEnum **RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Back</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>216b075c739a224df93d03a1bcda55bb</anchor>
      <arglist>(void **RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>EnumNo</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>e16f9eb7ffd12ad2f5a02dcb942587b3</anchor>
      <arglist>(unsigned long ItemNo)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Next</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>06c0248a6a5dfd79e459f2633c73c6fe</anchor>
      <arglist>(void **RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Reset</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>cfb7f8ae6efad95c51d13160aab16c2d</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Open</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>3525e9a52d1d2ebf10919c4d33535e30</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Close</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>1a5364d59f4ae62f557f7e1ff560ed15</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>Flush</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>77af8c6caabb9f8cab550bd12db6217e</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>OpenAndLoadAll</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>2dd96599e2cee1aaa9be359ffdf89aa8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>FindUser</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>2d1a422700147c93911ba16aae39d235</anchor>
      <arglist>(const uchar_t *Username, TekUser *RetVal)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>FindUsers</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>a142665b945b9754c32ce5381914def4</anchor>
      <arglist>(const uchar_t *SearchString, TekUserDBFunc *FuncToCall, struct TekArray **RetVal=NULL)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>FindUsersFree</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>fed95ddc5f4741d7b3ec4581a0c535c2</anchor>
      <arglist>(TekUser **UserInfoArray)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>WriteUsers</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>f0663a2284228843e621af0780aad89b</anchor>
      <arglist>(TekUser **UserInfoArray, unsigned long Count)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>WriteUser</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>526f83ca266be158218b6368fca045bc</anchor>
      <arglist>(TekUser *UserInfo)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>DeleteUser</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>09f1c6f7621b596a29b430270837a1fb</anchor>
      <arglist>(TekUser *UserInfo)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>DeleteUsers</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>218398f7912dcef31123defa886aa09e</anchor>
      <arglist>(const uchar_t *SearchString, TekUserDBFunc *FuncToCall, struct TekArray **RetVal=NULL)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_Filename</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>099416c49a30255244a0c6bec1d92086</anchor>
      <arglist>(const uchar_t *NewFilename)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_Filename</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>d8a3147858ad4694b68e4ecbc7c3dc60</anchor>
      <arglist>(uchar_t **Filename)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_ReadOnly</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>75a13d07c559586b0ab197cba71c24ef</anchor>
      <arglist>(bool *ReadOnlyStat)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_FileInterfaceUUID</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>8b37690a39709040b7fe90621fa82c07</anchor>
      <arglist>(uuid_t *FileUUID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_FileInterfaceUUID</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>38880627bfcecb2cf1982e470fbe4f53</anchor>
      <arglist>(const uuid_t *FileUUID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>get_GenericFileType</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>b5a39ab0ceed7a582680c75f350226e1</anchor>
      <arglist>(TekFileType *CurrentFileType)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TEKERR</type>
      <name>put_GenericFileType</name>
      <anchorfile>classTekUserDB.html</anchorfile>
      <anchor>0c0afcfc99c5b8ce43ac0c263bfa070d</anchor>
      <arglist>(TekFileType CurrentFileType)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekUserDBUnix</name>
    <filename>classTekUserDBUnix.html</filename>
    <base>TekUserDB</base>
    <member kind="function">
      <type></type>
      <name>TekUserDBUnix</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>506c3ceea42591dedc8cc932a6a24086</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TekUserDBUnix</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>81ab6fcc7690ecd91e77da3b51c5dc2f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Back</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>c3ca47d90db6836f246c1b84fd2b6b5f</anchor>
      <arglist>(void **RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Clone</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>e5d89249e473cc726204ebec26f0ec79</anchor>
      <arglist>(TekEnum **RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Close</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>4e063d9e8233e6a30cc01cbb65795797</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>DeleteUsers</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>6748f795ba46c8442e73fa46d3ed9f3c</anchor>
      <arglist>(const uchar_t *SearchString, TekUserDBFunc *FuncToCall, struct TekArray **RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>DeleteUser</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>5153fd597561f683d62f8c51d451a3ed</anchor>
      <arglist>(TekUser *UserInfo)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>EnumNo</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>a10ef0cd23a5a95419b4d6ce1d530a28</anchor>
      <arglist>(unsigned long ItemNo)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>FindUser</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>6f534d60ef91ecdc0ef47b874d740325</anchor>
      <arglist>(const uchar_t *Username, TekUser *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>FindUsers</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>40e22988595476e52826e76ae2338233</anchor>
      <arglist>(const uchar_t *SearchString, TekUserDBFunc *FuncToCall, struct TekArray **RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>FindUsersFree</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>136a92f6078f87d23bfed8ea6e26b715</anchor>
      <arglist>(TekUser **UserInfoArray)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Flush</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>5731576369d5ec612f670909a11ff1f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_FileInterfaceUUID</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>ca7eabb9e1c2ff6e97e710c7242db7db</anchor>
      <arglist>(uuid_t *FileUUID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Filename</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>3dd57e4cc4eea82eb319ad34b6f205fe</anchor>
      <arglist>(uchar_t **Filename)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_GenericFileType</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>9c814e6352544b273de5fd683c7a68aa</anchor>
      <arglist>(TekFileType *CurrentFileType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_ReadOnly</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>97c62d5c766c75a5dab838eccf6f4f0f</anchor>
      <arglist>(bool *ReadOnlyStat)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Next</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>001fc8e42adb758c9b924c7b507c26f4</anchor>
      <arglist>(void **RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Open</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>4234977be2df9ef9cf1350fec11fe64c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>OpenAndLoadAll</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>a9ef819d737dbd4bd77d3d576798b459</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_FileInterfaceUUID</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>fa5756230b77b0e4937c57d260588edd</anchor>
      <arglist>(const uuid_t *FileUUID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Filename</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>73027c58c3202097cbd172b7866acc21</anchor>
      <arglist>(const uchar_t *NewFilename)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_GenericFileType</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>d4266a1c3784a837b91941f1f49c74ed</anchor>
      <arglist>(TekFileType CurrentFileType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Reset</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>723c2e35b3e2fa578261be72c871f300</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>WriteUsers</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>dd212eccfa282f3fafd25325c5fdc09a</anchor>
      <arglist>(TekUser **UserInfoArray, unsigned long Count)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>WriteUser</name>
      <anchorfile>classTekUserDBUnix.html</anchorfile>
      <anchor>9a7373a0f0ce5c61c328b1bf23ab729e</anchor>
      <arglist>(TekUser *UserInfo)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TekUserInfo</name>
    <filename>structTekUserInfo.html</filename>
    <member kind="variable">
      <type>unsigned long</type>
      <name>TekUserInfo_Size</name>
      <anchorfile>structTekUserInfo.html</anchorfile>
      <anchor>3b70576cb2e5c77d48c14bd524dc34b1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>void *</type>
      <name>TekUserInfo_DB</name>
      <anchorfile>structTekUserInfo.html</anchorfile>
      <anchor>84a2b7837626bf8841e05558c0c9c7b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar_t *</type>
      <name>TekUserInfo_Description</name>
      <anchorfile>structTekUserInfo.html</anchorfile>
      <anchor>c45071a18d292d6db6b38b743be6c61d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar_t *</type>
      <name>TekUserInfo_Username</name>
      <anchorfile>structTekUserInfo.html</anchorfile>
      <anchor>8ec982d693f3c07c2e8d281a404ee035</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar_t *</type>
      <name>TekUserInfo_HomeDir</name>
      <anchorfile>structTekUserInfo.html</anchorfile>
      <anchor>3280a8ed2274c5b46a0241977bf96f7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uid_t</type>
      <name>TekUserInfo_UserID</name>
      <anchorfile>structTekUserInfo.html</anchorfile>
      <anchor>a2444f660736de374dad5110c78ecfcf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>gid_t</type>
      <name>TekUserInfo_GroupID</name>
      <anchorfile>structTekUserInfo.html</anchorfile>
      <anchor>46725634d43d97bd74671c847b7fb431</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar_t *</type>
      <name>TekUserInfo_Password</name>
      <anchorfile>structTekUserInfo.html</anchorfile>
      <anchor>bdb5af6e7e357761b138822d2db4629c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekUserUnixRO</name>
    <filename>classTekUserUnixRO.html</filename>
    <base>TekUser</base>
    <member kind="function">
      <type></type>
      <name>TekUserUnixRO</name>
      <anchorfile>classTekUserUnixRO.html</anchorfile>
      <anchor>e728b2b6bfdc2e61d3ce1e14891fb056</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TekUserUnixRO</name>
      <anchorfile>classTekUserUnixRO.html</anchorfile>
      <anchor>e7b432ddf3184a3aa6a905ca6af36fff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_TekUserInfo</name>
      <anchorfile>classTekUserUnixRO.html</anchorfile>
      <anchor>8f9aa710d2391b69b207908efcf38fc8</anchor>
      <arglist>(struct TekUserInfo *SUInfo)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Description</name>
      <anchorfile>classTekUserUnixRO.html</anchorfile>
      <anchor>56d4481d7db0adbc9146980a5903a283</anchor>
      <arglist>(uchar_t **RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_GroupID</name>
      <anchorfile>classTekUserUnixRO.html</anchorfile>
      <anchor>22683f811890e9bfa76889e490fee62c</anchor>
      <arglist>(gid_t *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_HomeDir</name>
      <anchorfile>classTekUserUnixRO.html</anchorfile>
      <anchor>6208da01b36456b03f73f8c44dfe267d</anchor>
      <arglist>(uchar_t **RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_UserID</name>
      <anchorfile>classTekUserUnixRO.html</anchorfile>
      <anchor>200227b49332c32512aeb2416011b585</anchor>
      <arglist>(uid_t *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Username</name>
      <anchorfile>classTekUserUnixRO.html</anchorfile>
      <anchor>594e5dfbd86baf9ae5411f84712e892a</anchor>
      <arglist>(uchar_t **RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Description</name>
      <anchorfile>classTekUserUnixRO.html</anchorfile>
      <anchor>abbe709d6abed8be22f18e2c657b34da</anchor>
      <arglist>(const uchar_t *NewDescription)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_GroupID</name>
      <anchorfile>classTekUserUnixRO.html</anchorfile>
      <anchor>b5c6121f9758c4705a5f311a1fd47795</anchor>
      <arglist>(gid_t NewGroupID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_HomeDir</name>
      <anchorfile>classTekUserUnixRO.html</anchorfile>
      <anchor>acb7682abba8b744e071986f058ed1f9</anchor>
      <arglist>(const uchar_t *NewHomeDir)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Password</name>
      <anchorfile>classTekUserUnixRO.html</anchorfile>
      <anchor>532160099972dd06dc2b6c2f1b45ab83</anchor>
      <arglist>(uchar_t *NewPassword)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_UserID</name>
      <anchorfile>classTekUserUnixRO.html</anchorfile>
      <anchor>97dea5f3933ba954ff4775b64ccc8c61</anchor>
      <arglist>(uid_t NewID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Username</name>
      <anchorfile>classTekUserUnixRO.html</anchorfile>
      <anchor>596fabe70ba519a74623063e4b1c24ab</anchor>
      <arglist>(const uchar_t *NewUsername)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Save</name>
      <anchorfile>classTekUserUnixRO.html</anchorfile>
      <anchor>3b751a81a072f0baa5e85f7f43c27320</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TekUserUnixRW</name>
    <filename>classTekUserUnixRW.html</filename>
    <base>TekUser</base>
    <member kind="function">
      <type></type>
      <name>TekUserUnixRW</name>
      <anchorfile>classTekUserUnixRW.html</anchorfile>
      <anchor>27eb5f6cd6103daabfd2028475d7fff5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TekUserUnixRW</name>
      <anchorfile>classTekUserUnixRW.html</anchorfile>
      <anchor>33713e13f3d7675b7cfc93083a024681</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Description</name>
      <anchorfile>classTekUserUnixRW.html</anchorfile>
      <anchor>56d4481d7db0adbc9146980a5903a283</anchor>
      <arglist>(uchar_t **RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_GroupID</name>
      <anchorfile>classTekUserUnixRW.html</anchorfile>
      <anchor>22683f811890e9bfa76889e490fee62c</anchor>
      <arglist>(gid_t *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_HomeDir</name>
      <anchorfile>classTekUserUnixRW.html</anchorfile>
      <anchor>6208da01b36456b03f73f8c44dfe267d</anchor>
      <arglist>(uchar_t **RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_UserID</name>
      <anchorfile>classTekUserUnixRW.html</anchorfile>
      <anchor>200227b49332c32512aeb2416011b585</anchor>
      <arglist>(uid_t *RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>get_Username</name>
      <anchorfile>classTekUserUnixRW.html</anchorfile>
      <anchor>594e5dfbd86baf9ae5411f84712e892a</anchor>
      <arglist>(uchar_t **RetVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Description</name>
      <anchorfile>classTekUserUnixRW.html</anchorfile>
      <anchor>abbe709d6abed8be22f18e2c657b34da</anchor>
      <arglist>(const uchar_t *NewDescription)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_GroupID</name>
      <anchorfile>classTekUserUnixRW.html</anchorfile>
      <anchor>b5c6121f9758c4705a5f311a1fd47795</anchor>
      <arglist>(gid_t NewGroupID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_HomeDir</name>
      <anchorfile>classTekUserUnixRW.html</anchorfile>
      <anchor>acb7682abba8b744e071986f058ed1f9</anchor>
      <arglist>(const uchar_t *NewHomeDir)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Password</name>
      <anchorfile>classTekUserUnixRW.html</anchorfile>
      <anchor>532160099972dd06dc2b6c2f1b45ab83</anchor>
      <arglist>(uchar_t *NewPassword)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_TekUserInfo</name>
      <anchorfile>classTekUserUnixRW.html</anchorfile>
      <anchor>8f9aa710d2391b69b207908efcf38fc8</anchor>
      <arglist>(struct TekUserInfo *SUInfo)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_UserID</name>
      <anchorfile>classTekUserUnixRW.html</anchorfile>
      <anchor>97dea5f3933ba954ff4775b64ccc8c61</anchor>
      <arglist>(uid_t NewID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>put_Username</name>
      <anchorfile>classTekUserUnixRW.html</anchorfile>
      <anchor>596fabe70ba519a74623063e4b1c24ab</anchor>
      <arglist>(const uchar_t *NewUsername)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TEKERR</type>
      <name>Save</name>
      <anchorfile>classTekUserUnixRW.html</anchorfile>
      <anchor>3b751a81a072f0baa5e85f7f43c27320</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>UUID_C</name>
    <filename>structUUID__C.html</filename>
    <member kind="variable">
      <type>unsigned int</type>
      <name>uuid_l</name>
      <anchorfile>structUUID__C.html</anchorfile>
      <anchor>4e351866afd0dd7915b2c8e04a5f0d8f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>uuid_s1</name>
      <anchorfile>structUUID__C.html</anchorfile>
      <anchor>a9f36f3bce49a432e00d909ab241fb3b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>uuid_s2</name>
      <anchorfile>structUUID__C.html</anchorfile>
      <anchor>008ea1eae83f26d94dcbcb24fb91830e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>uuid_s3</name>
      <anchorfile>structUUID__C.html</anchorfile>
      <anchor>33f72d41a3fedc91704cc1f7f8800271</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned char</type>
      <name>uuid_c1</name>
      <anchorfile>structUUID__C.html</anchorfile>
      <anchor>c31dd3f79009d9b9174264226bcd1e54</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned char</type>
      <name>uuid_c2</name>
      <anchorfile>structUUID__C.html</anchorfile>
      <anchor>4bbbb90e96e7a37bec4c55a2cd48dc93</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned char</type>
      <name>uuid_c3</name>
      <anchorfile>structUUID__C.html</anchorfile>
      <anchor>ab7e67824270c03435ca1f97e24d6a5b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned char</type>
      <name>uuid_c4</name>
      <anchorfile>structUUID__C.html</anchorfile>
      <anchor>f01b705c59e793608236f9507827997b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned char</type>
      <name>uuid_c5</name>
      <anchorfile>structUUID__C.html</anchorfile>
      <anchor>d9326947ab51fa1c0ddeeefc0e11a758</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned char</type>
      <name>uuid_c6</name>
      <anchorfile>structUUID__C.html</anchorfile>
      <anchor>df47e1106f6a5ba836c50bf1064652d1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/usr/src/libTekLTI-1.0-0/cvs/libteklti/tmp/kdev/</name>
    <path>/usr/src/libTekLTI-1.0-0/cvs/libteklti/tmp/kdev/</path>
    <filename>dir_e35736592119d4bb896b196cf78c9d85.html</filename>
    <dir>/usr/src/libTekLTI-1.0-0/cvs/libteklti/tmp/kdev/src/</dir>
  </compound>
  <compound kind="dir">
    <name>/usr/src/libTekLTI-1.0-0/cvs/libteklti/tmp/kdev/src/</name>
    <path>/usr/src/libTekLTI-1.0-0/cvs/libteklti/tmp/kdev/src/</path>
    <filename>dir_a180f897203a2997230a77cc3a0b5e74.html</filename>
    <file>global.c</file>
    <file>TekEnum.cpp</file>
    <file>tekenum.h</file>
    <file>TekFile.cpp</file>
    <file>tekfile.h</file>
    <file>TekFileASCII.cpp</file>
    <file>tekfileascii.h</file>
    <file>TekFileASCIIBare.cpp</file>
    <file>tekfileasciibare.h</file>
    <file>TekFileBinary.cpp</file>
    <file>tekfilebinary.h</file>
    <file>TekFileBZ2.cpp</file>
    <file>tekfilebz2.h</file>
    <file>TekFileBZ2ASCII.cpp</file>
    <file>tekfilebz2ascii.h</file>
    <file>TekFileBZ2Binary.cpp</file>
    <file>tekfilebz2binary.h</file>
    <file>tekglobalvars.h</file>
    <file>teklti.h</file>
    <file>TekStatFile.cpp</file>
    <file>tekstatfile.h</file>
    <file>TekStatFilePOSIX.cpp</file>
    <file>tekstatfileposix.h</file>
    <file>TekStd.cpp</file>
    <file>TekUser.cpp</file>
    <file>tekuser.h</file>
    <file>TekUserDB.cpp</file>
    <file>tekuserdb.h</file>
    <file>TekUserDBUnix.cpp</file>
    <file>tekuserdbunix.h</file>
    <file>TekUserUnixRO.cpp</file>
    <file>tekuserunixro.h</file>
    <file>TekUserUnixRW.cpp</file>
    <file>tekuserunixrw.h</file>
    <file>uchar.c</file>
  </compound>
  <compound kind="dir">
    <name>/usr/src/libTekLTI-1.0-0/cvs/libteklti/tmp/</name>
    <path>/usr/src/libTekLTI-1.0-0/cvs/libteklti/tmp/</path>
    <filename>dir_2c33c304213b4a9e7886f0a78a62bad0.html</filename>
    <dir>/usr/src/libTekLTI-1.0-0/cvs/libteklti/tmp/kdev/</dir>
  </compound>
</tagfile>
